Disclaimer
POST
/v2/Common/DisclaimerDisclaimer displays a disclaimer text on the terminal screen and prompts the customer to provide a signature. All the responses have GeneralResponse section that informs about successful result or error. See Error Codes and Messages.
Body Parameters
Title*
stringTpn
stringRegisterId
stringAuthkey
stringSPInProxyTimeout
numberCustomFields
CustomFields
objectPOST/v2/Common/Disclaimer
1curl --location 'https://test.spinpos.net/v2/Common/Disclaimer' \
2--header 'Content-Type: application/json' \
3--data '{
4 "CustomFields": {},
5 "Title": "",
6 "Tpn": "",
7 "RegisterId": "",
8 "Authkey": "",
9 "SPInProxyTimeout": ""
10}'
Response
// Awaiting response…
Sample response
{
"Signature": "",
"GeneralResponse": {
"HostResponseCode": "00",
"HostResponseMessage": "Approved",
"ResultCode": "Ok",
"StatusCode": "0000",
"Message": "Approved",
"DetailedMessage": "APPROVAL VTLMC1",
"DelayBeforeNextRequest": null
}
}